org.gjt.sp.jedit.textarea

## Class ElasticTabStopBufferListener

- java.lang.Object
- - org.gjt.sp.jedit.buffer.BufferAdapter
  - - org.gjt.sp.jedit.textarea.ElasticTabStopBufferListener

All Implemented Interfaces:
  BufferListener

    public class ElasticTabStopBufferListener
    extends BufferAdapter

Buffer Listener for Elastic Tabstops.

### Constructor Summary

Constructors
Constructor and Description
`ElasticTabStopBufferListener(TextArea textArea)`

### Method Summary

Methods
`void` `contentInserted(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is inserted into the buffer.
`void` `contentRemoved(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is removed from the buffer.
`void` `preContentInserted(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is about to be inserted in the buffer.
`void` `preContentRemoved(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is about to be removed from the buffer, but is still present.
`void` `transactionComplete(JEditBuffer buffer)` Called after an undo or compound edit has finished.

### Methods inherited from class org.gjt.sp.jedit.buffer.BufferAdapter

`bufferLoaded, foldHandlerChanged, foldLevelChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElasticTabStopBufferListener

    public ElasticTabStopBufferListener(TextArea textArea)

### Method Detail

#### contentInserted

    public void contentInserted(JEditBuffer buffer,
                       int startLine,
                       int offset,
                       int numLines,
                       int length)

Description copied from class: `BufferAdapter`
Called when text is inserted into the buffer.

Specified by:
  `contentInserted` in interface `BufferListener`
Overrides:
  `contentInserted` in class `BufferAdapter`
Parameters:
  `buffer` - The buffer in question
  `startLine` - The first line
  `offset` - The start offset, from the beginning of the buffer
  `numLines` - The number of lines inserted
  `length` - The number of characters inserted

#### contentRemoved

    public void contentRemoved(JEditBuffer buffer,
                      int startLine,
                      int offset,
                      int numLines,
                      int length)

Called when text is removed from the buffer.

Specified by:
  `contentRemoved` in interface `BufferListener`
Overrides:
  `contentRemoved` in class `BufferAdapter`
Parameters:
  `buffer` - The buffer in question
  `startLine` - The first line
  `offset` - The start offset, from the beginning of the buffer
  `numLines` - The number of lines removed
  `length` - The number of characters removed
Since:
  jEdit 4.3pre3

#### transactionComplete

    public void transactionComplete(JEditBuffer buffer)

Description copied from class: `BufferAdapter`
Called after an undo or compound edit has finished. The text area uses this event to queue up and collapse cleanup operations so they are only run once during a long transaction (such as a "Replace All" operation.)

Specified by:
  `transactionComplete` in interface `BufferListener`
Overrides:
  `transactionComplete` in class `BufferAdapter`
Parameters:
  `buffer` - The buffer in question

#### preContentInserted

    public void preContentInserted(JEditBuffer buffer,
                          int startLine,
                          int offset,
                          int numLines,
                          int length)

Description copied from class: `BufferAdapter`
Called when text is about to be inserted in the buffer.

Specified by:
  `preContentInserted` in interface `BufferListener`
Overrides:
  `preContentInserted` in class `BufferAdapter`
Parameters:
  `buffer` - The buffer in question
  `startLine` - The first line
  `offset` - The start offset, from the beginning of the buffer
  `numLines` - The number of lines inserted
  `length` - The number of characters inserted

#### preContentRemoved

    public void preContentRemoved(JEditBuffer buffer,
                         int startLine,
                         int offset,
                         int numLines,
                         int length)

Description copied from class: `BufferAdapter`
Called when text is about to be removed from the buffer, but is still present.

Specified by:
  `preContentRemoved` in interface `BufferListener`
Overrides:
  `preContentRemoved` in class `BufferAdapter`
Parameters:
  `buffer` - The buffer in question
  `startLine` - The first line
  `offset` - The start offset, from the beginning of the buffer
  `numLines` - The number of lines to be removed
  `length` - The number of characters to be removed